跳至正文
文档章节

此页面尚未翻译成中文,当前显示的是英文版本。

Get the list of shipments for all your endpoints

GET /easy-shipment on the Webhooks API. Base URL: https://api.sinay.ai/webhook/api/v1.

Get all container / bl / bk that are currently monitored by each of your endpoints

Responses

Body: application/json, object.

FieldTypeRequiredDescription
<key>objectNo—
<key>.shipmentsarray of objectYesArray of shipments.
<key>.shipments[].numberstringYesA shipment number. Can be a container number, a booking number or a Bill of Lading number.
<key>.shipments[].sealinestringNoA SCAC code (Sealine identifier). Specifying it will ensure we retrieve information from the right shipping line. To retrieve the list of supported sealines and their corresponding code, use our GET /sealines endpoint. This parameter is strongly recommended. Using it will greatly improve our response time and avoid sealine autodetection issues.
<key>.shipments[].typestringNoThe shipment type (CT for container, BK for booking, BL for Bill of Lading) this parameter is recommended. Using it will improve our autodetection capabilities. One of: BK, BL, CT.

Example response body:

{
  "ep_1srOrx2ZWZBpBUvZwXKQmoEYga2": {
    "shipments": [
      {
        "number": "MSDU9813721",
        "sealine": "HLCU"
      },
      {
        "type": "BL",
        "number": "HLCUSHA2302AWXB8",
        "sealine": "HLCU"
      },
      {
        "number": "ZZZZ0000000"
      }
    ]
  }
}